Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.jbpm.cmd
Class MessageHelper

    java.lang.Object
      org.jboss.soa.esb.services.jbpm.cmd.MessageHelper

    public class MessageHelper

extends java.lang.Object

Convient Helper to set or set parameters on an EsbMessage.

Author:
  kstam

Constructor Summary
`MessageHelper()`

Method Summary
`static java.lang.String` | `argumentException(java.lang.String str)`
`static Message` | `commandMessageTemplate()`
`static java.lang.Boolean` | `getBooleanValue(Message msg, java.lang.String key)`
`static java.lang.Boolean` | `getBooleanValue(Message msg, java.lang.String key, java.lang.Boolean dflt)`
`static java.lang.Integer` | `getIntValue(Message msg, java.lang.String key)`
`static java.lang.Long` | `getLongValue(Message msg, java.lang.String key)`
`static java.lang.Object` | `getObjectValue(Message msg, java.lang.String key)`
`static java.lang.String` | `getStringValue(Message msg, java.lang.String key)`
`static java.lang.String` | `getStringValue(Message msg, java.lang.String key, java.lang.String dflt)`
`static java.util.Map<java.lang.String,java.lang.Object>` | `getVariablesMap(Message msg, java.lang.String key)`
`static void` | `setBooleanValue(Message message, java.lang.String key, java.lang.Boolean value)`
`static void` | `setIntValue(Message message, java.lang.String key, java.lang.Integer value)`
`static void` | `setLongValue(Message message, java.lang.String key, java.lang.Long value)`
`static void` | `setObjectValue(Message message, java.lang.String key, java.lang.Object value)`
`static void` | `setStringListValue(Message msg, java.lang.String key, java.lang.String[] list)`
`static void` | `setStringValue(Message msg, java.lang.String key, java.lang.Object obj)`
`static void` | `setStringValue(Message msg, java.lang.String key, java.lang.String str)`
`static void` | `setVariablesMap(Message msg, java.lang.String key, java.util.Map<java.lang.String,java.lang.Object> value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageHelper

    public MessageHelper()

Method Detail

### argumentException

    public static java.lang.String argumentException(java.lang.String str)

### commandMessageTemplate

    public static Message commandMessageTemplate()

### setLongValue

    public static void setLongValue(Message message,
                                    java.lang.String key,
                                    java.lang.Long value)

### setIntValue

    public static void setIntValue(Message message,
                                   java.lang.String key,
                                   java.lang.Integer value)

### setBooleanValue

    public static void setBooleanValue(Message message,
                                       java.lang.String key,
                                       java.lang.Boolean value)

### setObjectValue

    public static void setObjectValue(Message message,
                                      java.lang.String key,
                                      java.lang.Object value)

### setStringValue

    public static void setStringValue(Message msg,
                                      java.lang.String key,
                                      java.lang.Object obj)

### setStringValue

    public static void setStringValue(Message msg,
                                      java.lang.String key,
                                      java.lang.String str)

### setStringListValue

    public static void setStringListValue(Message msg,
                                          java.lang.String key,
                                          java.lang.String[] list)

### setVariablesMap

    public static void setVariablesMap(Message msg,
                                       java.lang.String key,
                                       java.util.Map<java.lang.String,java.lang.Object> value)

### getIntValue

    public static java.lang.Integer getIntValue(Message msg,
                                                java.lang.String key)

### getLongValue

    public static java.lang.Long getLongValue(Message msg,
                                              java.lang.String key)

### getBooleanValue

    public static java.lang.Boolean getBooleanValue(Message msg,
                                                    java.lang.String key)

### getBooleanValue

    public static java.lang.Boolean getBooleanValue(Message msg,
                                                    java.lang.String key,
                                                    java.lang.Boolean dflt)

### getStringValue

    public static java.lang.String getStringValue(Message msg,
                                                  java.lang.String key)

### getStringValue

    public static java.lang.String getStringValue(Message msg,
                                                  java.lang.String key,
                                                  java.lang.String dflt)

### getVariablesMap

    public static java.util.Map<java.lang.String,java.lang.Object> getVariablesMap(Message msg,
                                                                                   java.lang.String key)

### getObjectValue

    public static java.lang.Object getObjectValue(Message msg,
                                                  java.lang.String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD